cURL
curl --request GET \ --url https://api.modo.link/canton-mainnet/v1/updates \ --header 'x-api-key: <api-key>'
{ "content": [ { "updateId": "<string>", "migrationId": 123, "workflowId": "<string>", "recordTime": 123, "synchronizerId": "<string>", "effectiveAt": 123, "rootEventIds": "<string>", "eventsCount": 123, "synchronizerName": "<string>", "synchronizerImg": "<string>" } ], "pageable": { "sort": { "sorted": true, "empty": true, "unsorted": true }, "pageSize": 123, "pageNumber": 123, "offset": 123, "paged": true, "unpaged": true }, "last": true, "totalPages": 123, "totalElements": 123, "totalCount": 123, "size": 123, "number": 123, "sort": { "sorted": true, "empty": true, "unsorted": true }, "first": true, "numberOfElements": 123, "empty": true }
Get a list of all updates
Sorting parameter.
AGE
Queried API page.
0 <= x <= 50
Number of queried entries.
1 <= x <= 100
Sorting method: from the lowest element to the highest (ASC) or from the highest element to the lowest (DESC).
ASC
DESC
OK
Show child attributes